using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.OH
{
    /// <summary>
    /// 体检批次部门
    /// </summary>
    [Description("体检批次部门")]
    public class T_OH_HEALTH_EXAM_BATCH_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 体检批次
        /// </summary>
        [Description("体检批次")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        [DataFieldForeignKey("Nav_Batch", "Nav_ListDepartment")]
        public Guid BATCH_ID { get; set; }

        /// <summary>
        /// 体检批次
        /// </summary>
        [Description("导航: 体检批次")]
        public virtual T_OH_HEALTH_EXAM_BATCH Nav_Batch { get; set; }

        /// <summary>
        /// 体检人所在部门ID
        /// </summary>
        [Description("体检人所在部门")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 导航: 体检人所在部门
        /// </summary>
        [Description("导航: 体检人所在部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}